# keycuts_popper.rb - pops up an HTML page showing keyboard shortcuts
# Copyright 2009, Martin Rinehart

require 'sketchup'

$keyboard_shortcuts_pathname = 'c:/sketchup/keyboard_shortcuts.html'
$keyboard_shortcuts_dialog = nil

def show_hide_shortcuts()

	if $keyboard_shortcuts_dialog && $keyboard_shortcuts_dialog.visible?
		$keyboard_shortcuts_dialog.close()
		$keyboard_shortcuts_dialog = nil
	else
		$keyboard_shortcuts_dialog = show_shortcuts()
	end
end

def show_shortcuts()

	wd = UI::WebDialog.new( "SketchUp Keyboard Shortcuts", true, 
			'keyboard_shortcuts', 400, 600, 0, 0, true )
			
	wd.add_action_callback( 'close' ) do | wd, msg| wd.close() end
	# Why this stupid callback?
	# When user types "K" (toggle open/closed) with focus on shortcuts map,
	# map can't close itself. Reason: MSIE asks "JS said close, OK to close?"
	# and if you answer "Yes", MSIE empties, but does not close, the window.
	
	wd.set_file( $keyboard_shortcuts_pathname )
	wd.show()
	return wd
	
end 

unless file_loaded?( "keycuts_popper.rb" )
	UI.menu( "Plugins" ).add_item( "Keyboard Shortcuts Popper" ) { show_hide_shortcuts() }
	file_loaded( "keycuts_popper.rb" )
end

# end of keycuts_popper.rb